Package org.gdal.osr

## Class osrJNI

- java.lang.Object
- - org.gdal.osr.osrJNI

-     public class osrJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `osrJNI()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static double` | `AreaOfUse_east_lon_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static java.lang.String` | `AreaOfUse_name_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `AreaOfUse_north_lat_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `AreaOfUse_south_lat_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `AreaOfUse_west_lon_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static long` | `CoordinateTransformation_GetInverse​(long jarg1, CoordinateTransformation jarg1_)` |
    `static void` | `CoordinateTransformation_TransformBounds​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2, double jarg3, double jarg4, double jarg5, double jarg6, int jarg7)` |
    `static void` | `CoordinateTransformation_TransformPoint__SWIG_0​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2)` |
    `static void` | `CoordinateTransformation_TransformPoint__SWIG_2​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2, double jarg3, double jarg4, double jarg5)` |
    `static void` | `CoordinateTransformation_TransformPoint__SWIG_3​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2, double jarg3, double jarg4)` |
    `static void` | `CoordinateTransformation_TransformPoint__SWIG_4​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static void` | `CoordinateTransformation_TransformPoints​(long jarg1, CoordinateTransformation jarg1_, double[][] jarg2)` |
    `static int[]` | `CoordinateTransformation_TransformPointsWithErrorCodes​(long jarg1, CoordinateTransformation jarg1_, double[][] jarg2)` |
    `static int` | `CoordinateTransformation_TransformPointWithErrorCode​(long jarg1, CoordinateTransformation jarg1_, double[] jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static boolean` | `CoordinateTransformationOptions_SetAreaOfInterest​(long jarg1, CoordinateTransformationOptions jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static boolean` | `CoordinateTransformationOptions_SetBallparkAllowed​(long jarg1, CoordinateTransformationOptions jarg1_, boolean jarg2)` |
    `static boolean` | `CoordinateTransformationOptions_SetDesiredAccuracy​(long jarg1, CoordinateTransformationOptions jarg1_, double jarg2)` |
    `static boolean` | `CoordinateTransformationOptions_SetOnlyBest​(long jarg1, CoordinateTransformationOptions jarg1_, boolean jarg2)` |
    `static boolean` | `CoordinateTransformationOptions_SetOperation__SWIG_0​(long jarg1, CoordinateTransformationOptions jarg1_, java.lang.String jarg2, boolean jarg3)` |
    `static boolean` | `CoordinateTransformationOptions_SetOperation__SWIG_1​(long jarg1, CoordinateTransformationOptions jarg1_, java.lang.String jarg2)` |
    `static long` | `CreateCoordinateTransformation__SWIG_0​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_, long jarg3, CoordinateTransformationOptions jarg3_)` |
    `static long` | `CreateCoordinateTransformation__SWIG_1​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static void` | `delete_AreaOfUse​(long jarg1)` |
    `static void` | `delete_CoordinateTransformation​(long jarg1)` |
    `static void` | `delete_CoordinateTransformationOptions​(long jarg1)` |
    `static void` | `delete_SpatialReference​(long jarg1)` |
    `static void` | `DontUseExceptions()` |
    `static java.util.Vector` | `GetAuthorityListFromDatabase()` |
    `static java.util.Vector` | `GetPROJAuxDbPaths()` |
    `static boolean` | `GetPROJEnableNetwork()` |
    `static java.util.Vector` | `GetPROJSearchPaths()` |
    `static int` | `GetPROJVersionMajor()` |
    `static int` | `GetPROJVersionMicro()` |
    `static int` | `GetPROJVersionMinor()` |
    `static boolean` | `GetUseExceptions()` |
    `static java.lang.String` | `GetUserInputAsWKT__SWIG_0​(java.lang.String jarg1)` |
    `static int` | `GetUserInputAsWKT__SWIG_1​(java.lang.String jarg1, java.lang.String[] jarg2)` |
    `static java.lang.String` | `GetWellKnownGeogCSAsWKT__SWIG_0​(java.lang.String jarg1)` |
    `static int` | `GetWellKnownGeogCSAsWKT__SWIG_1​(java.lang.String jarg1, java.lang.String[] jarg2)` |
    `static boolean` | `isAvailable()` |
    `static long` | `new_AreaOfUse​(double jarg1, double jarg2, double jarg3, double jarg4, java.lang.String jarg5)` |
    `static long` | `new_CoordinateTransformation__SWIG_0​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static long` | `new_CoordinateTransformation__SWIG_1​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_, long jarg3, CoordinateTransformationOptions jarg3_)` |
    `static long` | `new_CoordinateTransformationOptions()` |
    `static long` | `new_SpatialReference__SWIG_0​(java.lang.String jarg1)` |
    `static long` | `new_SpatialReference__SWIG_1()` |
    `static double` | `OSRAreaOfUse_east_lon_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static java.lang.String` | `OSRAreaOfUse_name_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `OSRAreaOfUse_north_lat_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `OSRAreaOfUse_south_lat_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static double` | `OSRAreaOfUse_west_lon_degree_get​(long jarg1, AreaOfUse jarg1_)` |
    `static void` | `SetPROJAuxDbPath​(java.lang.String jarg1)` |
    `static void` | `SetPROJAuxDbPaths​(java.util.Vector jarg1)` |
    `static void` | `SetPROJEnableNetwork​(boolean jarg1)` |
    `static void` | `SetPROJSearchPath​(java.lang.String jarg1)` |
    `static void` | `SetPROJSearchPaths​(java.util.Vector jarg1)` |
    `static java.lang.String` | `SpatialReference___str__​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_AddGuessedTOWGS84​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_AutoIdentifyEPSG​(long jarg1, SpatialReference jarg1_)` |
    `static long` | `SpatialReference_Clone​(long jarg1, SpatialReference jarg1_)` |
    `static long` | `SpatialReference_CloneGeogCS​(long jarg1, SpatialReference jarg1_)` |
    `static long` | `SpatialReference_ConvertToOtherProjection__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.util.Vector jarg3)` |
    `static long` | `SpatialReference_ConvertToOtherProjection__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_CopyGeogCSFrom​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static int` | `SpatialReference_DemoteTo2D__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_DemoteTo2D__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_EPSGTreatsAsLatLong​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_EPSGTreatsAsNorthingEasting​(long jarg1, SpatialReference jarg1_)` |
    `static java.util.Hashtable` | `SpatialReference_ExportToCF1__SWIG_0​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2)` |
    `static java.util.Hashtable` | `SpatialReference_ExportToCF1__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_ExportToCF1Units__SWIG_0​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2)` |
    `static java.lang.String` | `SpatialReference_ExportToCF1Units__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_ExportToERM​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, java.lang.String[] jarg3, java.lang.String[] jarg4)` |
    `static int` | `SpatialReference_ExportToMICoordSys​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static int` | `SpatialReference_ExportToPCI​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, java.lang.String[] jarg3, double[] jarg4)` |
    `static int` | `SpatialReference_ExportToPrettyWkt__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, int jarg3)` |
    `static int` | `SpatialReference_ExportToPrettyWkt__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static int` | `SpatialReference_ExportToProj4​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static int` | `SpatialReference_ExportToPROJJSON__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, java.util.Vector jarg3)` |
    `static int` | `SpatialReference_ExportToPROJJSON__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static int` | `SpatialReference_ExportToUSGS​(long jarg1, SpatialReference jarg1_, int[] jarg2, int[] jarg3, double[] jarg4, int[] jarg5)` |
    `static int` | `SpatialReference_ExportToWkt__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, java.util.Vector jarg3)` |
    `static int` | `SpatialReference_ExportToWkt__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static int` | `SpatialReference_ExportToXML__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2, java.lang.String jarg3)` |
    `static int` | `SpatialReference_ExportToXML__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String[] jarg2)` |
    `static double` | `SpatialReference_GetAngularUnits​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_GetAngularUnitsName​(long jarg1, SpatialReference jarg1_)` |
    `static long` | `SpatialReference_GetAreaOfUse​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_GetAttrValue__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, int jarg3)` |
    `static java.lang.String` | `SpatialReference_GetAttrValue__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `SpatialReference_GetAuthorityCode​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static java.lang.String` | `SpatialReference_GetAuthorityName​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_GetAxesCount​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_GetAxisMappingStrategy​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_GetAxisName​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, int jarg3)` |
    `static int` | `SpatialReference_GetAxisOrientation​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, int jarg3)` |
    `static java.lang.String` | `SpatialReference_GetCelestialBodyName​(long jarg1, SpatialReference jarg1_)` |
    `static double` | `SpatialReference_GetCoordinateEpoch​(long jarg1, SpatialReference jarg1_)` |
    `static int[]` | `SpatialReference_GetDataAxisToSRSAxisMapping​(long jarg1, SpatialReference jarg1_, long jarg2, long jarg3)` |
    `static double` | `SpatialReference_GetInvFlattening​(long jarg1, SpatialReference jarg1_)` |
    `static double` | `SpatialReference_GetLinearUnits​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_GetLinearUnitsName​(long jarg1, SpatialReference jarg1_)` |
    `static java.lang.String` | `SpatialReference_GetName​(long jarg1, SpatialReference jarg1_)` |
    `static double` | `SpatialReference_GetNormProjParm__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static double` | `SpatialReference_GetNormProjParm__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static double` | `SpatialReference_GetProjParm__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static double` | `SpatialReference_GetProjParm__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static double` | `SpatialReference_GetSemiMajor​(long jarg1, SpatialReference jarg1_)` |
    `static double` | `SpatialReference_GetSemiMinor​(long jarg1, SpatialReference jarg1_)` |
    `static double` | `SpatialReference_GetTargetLinearUnits​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_GetTOWGS84​(long jarg1, SpatialReference jarg1_, double[] jarg2)` |
    `static int` | `SpatialReference_GetUTMZone​(long jarg1, SpatialReference jarg1_)` |
    `static boolean` | `SpatialReference_HasPointMotionOperation​(long jarg1, SpatialReference jarg1_)` |
    `static boolean` | `SpatialReference_HasTOWGS84​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_ImportFromCF1__SWIG_0​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2, java.lang.String jarg3)` |
    `static int` | `SpatialReference_ImportFromCF1__SWIG_1​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2)` |
    `static int` | `SpatialReference_ImportFromEPSG​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_ImportFromEPSGA​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_ImportFromERM​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4)` |
    `static int` | `SpatialReference_ImportFromESRI​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2)` |
    `static int` | `SpatialReference_ImportFromMICoordSys​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_ImportFromOzi​(long jarg1, SpatialReference jarg1_, java.util.Vector jarg2)` |
    `static int` | `SpatialReference_ImportFromPCI__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, double[] jarg4)` |
    `static int` | `SpatialReference_ImportFromPCI__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static int` | `SpatialReference_ImportFromPCI__SWIG_2​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_ImportFromProj4​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_ImportFromUrl​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_ImportFromUSGS__SWIG_0​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3, double[] jarg4, int jarg5)` |
    `static int` | `SpatialReference_ImportFromUSGS__SWIG_1​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3, double[] jarg4)` |
    `static int` | `SpatialReference_ImportFromUSGS__SWIG_2​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3)` |
    `static int` | `SpatialReference_ImportFromUSGS__SWIG_3​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_ImportFromWkt​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_ImportFromXML​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_IsCompound​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsDerivedGeographic​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsDerivedProjected​(long jarg1, SpatialReference jarg1_)` |
    `static boolean` | `SpatialReference_IsDynamic​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsGeocentric​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsGeographic​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsLocal​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsProjected​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_IsSame__SWIG_0​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_, java.util.Vector jarg3)` |
    `static int` | `SpatialReference_IsSame__SWIG_1​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static int` | `SpatialReference_IsSameGeogCS​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static int` | `SpatialReference_IsSameVertCS​(long jarg1, SpatialReference jarg1_, long jarg2, SpatialReference jarg2_)` |
    `static int` | `SpatialReference_IsVertical​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_MorphFromESRI​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_MorphToESRI​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_PromoteTo3D__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_PromoteTo3D__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_SetACEA​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetAE​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetAngularUnits​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static int` | `SpatialReference_SetAttrValue​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static int` | `SpatialReference_SetAuthority​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, int jarg4)` |
    `static void` | `SpatialReference_SetAxisMappingStrategy​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_SetBonne​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetCEA​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetCompoundCS​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, long jarg4, SpatialReference jarg4_)` |
    `static void` | `SpatialReference_SetCoordinateEpoch​(long jarg1, SpatialReference jarg1_, double jarg2)` |
    `static int` | `SpatialReference_SetCS​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetDataAxisToSRSAxisMapping​(long jarg1, SpatialReference jarg1_, int[] jarg2)` |
    `static int` | `SpatialReference_SetEC​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetEckertIV​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetEckertVI​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetEquirectangular​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetEquirectangular2​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetFromUserInput__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.util.Vector jarg3)` |
    `static int` | `SpatialReference_SetFromUserInput__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetGaussSchreiberTMercator​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetGeocCS__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetGeocCS__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_SetGeogCS__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, double jarg5, double jarg6, java.lang.String jarg7, double jarg8, java.lang.String jarg9, double jarg10)` |
    `static int` | `SpatialReference_SetGeogCS__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, double jarg5, double jarg6, java.lang.String jarg7, double jarg8, java.lang.String jarg9)` |
    `static int` | `SpatialReference_SetGeogCS__SWIG_2​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, double jarg5, double jarg6, java.lang.String jarg7, double jarg8)` |
    `static int` | `SpatialReference_SetGeogCS__SWIG_3​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, double jarg5, double jarg6, java.lang.String jarg7)` |
    `static int` | `SpatialReference_SetGeogCS__SWIG_4​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetGEOS​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetGH​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetGnomonic​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetGS​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetHOM​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8)` |
    `static int` | `SpatialReference_SetHOM2PNO​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8, double jarg9)` |
    `static int` | `SpatialReference_SetIGH​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_SetKrovak​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8)` |
    `static int` | `SpatialReference_SetLAEA​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetLCC​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetLCC1SP​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetLCCB​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetLinearUnits​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static int` | `SpatialReference_SetLinearUnitsAndUpdateParameters​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static int` | `SpatialReference_SetLocalCS​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetMC​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetMercator​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetMercator2SP​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetMollweide​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetNormProjParm​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static int` | `SpatialReference_SetNZMG​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetOrthographic​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetOS​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetPolyconic​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetProjCS__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetProjCS__SWIG_1​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_SetProjection​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetProjParm​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3)` |
    `static int` | `SpatialReference_SetPS​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetRobinson​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetSinusoidal​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetSOC​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetStatePlane__SWIG_0​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3, java.lang.String jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetStatePlane__SWIG_1​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3, java.lang.String jarg4)` |
    `static int` | `SpatialReference_SetStatePlane__SWIG_2​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3)` |
    `static int` | `SpatialReference_SetStatePlane__SWIG_3​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_SetStereographic​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetTargetLinearUnits​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetTM​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetTMG​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5)` |
    `static int` | `SpatialReference_SetTMSO​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6)` |
    `static int` | `SpatialReference_SetTMVariant​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetTOWGS84​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7, double jarg8)` |
    `static int` | `SpatialReference_SetUTM__SWIG_0​(long jarg1, SpatialReference jarg1_, int jarg2, int jarg3)` |
    `static int` | `SpatialReference_SetUTM__SWIG_1​(long jarg1, SpatialReference jarg1_, int jarg2)` |
    `static int` | `SpatialReference_SetVDG​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4)` |
    `static int` | `SpatialReference_SetVertCS__SWIG_0​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3, int jarg4)` |
    `static int` | `SpatialReference_SetVertCS__SWIG_1​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2, java.lang.String jarg3)` |
    `static int` | `SpatialReference_SetVertCS__SWIG_2​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_SetVertCS__SWIG_3​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_SetVerticalPerspective​(long jarg1, SpatialReference jarg1_, double jarg2, double jarg3, double jarg4, double jarg5, double jarg6, double jarg7)` |
    `static int` | `SpatialReference_SetWellKnownGeogCS​(long jarg1, SpatialReference jarg1_, java.lang.String jarg2)` |
    `static int` | `SpatialReference_StripVertical​(long jarg1, SpatialReference jarg1_)` |
    `static int` | `SpatialReference_Validate​(long jarg1, SpatialReference jarg1_)` |
    `static void` | `UseExceptions()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### osrJNI

          public osrJNI()

  - ### Method Detail

    - #### UseExceptions

          public static final void UseExceptions()

    - #### DontUseExceptions

          public static final void DontUseExceptions()

    - #### GetUseExceptions

          public static final boolean GetUseExceptions()

    - #### isAvailable

          public static boolean isAvailable()

    - #### GetWellKnownGeogCSAsWKT__SWIG_0

          public static final java.lang.String GetWellKnownGeogCSAsWKT__SWIG_0​(java.lang.String jarg1)

    - #### GetUserInputAsWKT__SWIG_0

          public static final java.lang.String GetUserInputAsWKT__SWIG_0​(java.lang.String jarg1)

    - #### GetWellKnownGeogCSAsWKT__SWIG_1

          public static final int GetWellKnownGeogCSAsWKT__SWIG_1​(java.lang.String jarg1,
                                                                  java.lang.String[] jarg2)

    - #### GetUserInputAsWKT__SWIG_1

          public static final int GetUserInputAsWKT__SWIG_1​(java.lang.String jarg1,
                                                            java.lang.String[] jarg2)

    - #### AreaOfUse_west_lon_degree_get

          public static final double AreaOfUse_west_lon_degree_get​(long jarg1,
                                                                   AreaOfUse jarg1_)

    - #### AreaOfUse_south_lat_degree_get

          public static final double AreaOfUse_south_lat_degree_get​(long jarg1,
                                                                    AreaOfUse jarg1_)

    - #### AreaOfUse_east_lon_degree_get

          public static final double AreaOfUse_east_lon_degree_get​(long jarg1,
                                                                   AreaOfUse jarg1_)

    - #### AreaOfUse_north_lat_degree_get

          public static final double AreaOfUse_north_lat_degree_get​(long jarg1,
                                                                    AreaOfUse jarg1_)

    - #### AreaOfUse_name_get

          public static final java.lang.String AreaOfUse_name_get​(long jarg1,
                                                                  AreaOfUse jarg1_)

    - #### new_AreaOfUse

          public static final long new_AreaOfUse​(double jarg1,
                                                 double jarg2,
                                                 double jarg3,
                                                 double jarg4,
                                                 java.lang.String jarg5)

    - #### delete_AreaOfUse

          public static final void delete_AreaOfUse​(long jarg1)

    - #### OSRAreaOfUse_west_lon_degree_get

          public static final double OSRAreaOfUse_west_lon_degree_get​(long jarg1,
                                                                      AreaOfUse jarg1_)

    - #### OSRAreaOfUse_south_lat_degree_get

          public static final double OSRAreaOfUse_south_lat_degree_get​(long jarg1,
                                                                       AreaOfUse jarg1_)

    - #### OSRAreaOfUse_east_lon_degree_get

          public static final double OSRAreaOfUse_east_lon_degree_get​(long jarg1,
                                                                      AreaOfUse jarg1_)

    - #### OSRAreaOfUse_north_lat_degree_get

          public static final double OSRAreaOfUse_north_lat_degree_get​(long jarg1,
                                                                       AreaOfUse jarg1_)

    - #### OSRAreaOfUse_name_get

          public static final java.lang.String OSRAreaOfUse_name_get​(long jarg1,
                                                                     AreaOfUse jarg1_)

    - #### new_SpatialReference__SWIG_0

          public static final long new_SpatialReference__SWIG_0​(java.lang.String jarg1)

    - #### new_SpatialReference__SWIG_1

          public static final long new_SpatialReference__SWIG_1()

    - #### delete_SpatialReference

          public static final void delete_SpatialReference​(long jarg1)

    - #### SpatialReference___str__

          public static final java.lang.String SpatialReference___str__​(long jarg1,
                                                                        SpatialReference jarg1_)

    - #### SpatialReference_GetName

          public static final java.lang.String SpatialReference_GetName​(long jarg1,
                                                                        SpatialReference jarg1_)

    - #### SpatialReference_GetCelestialBodyName

          public static final java.lang.String SpatialReference_GetCelestialBodyName​(long jarg1,
                                                                                     SpatialReference jarg1_)

    - #### SpatialReference_IsSame__SWIG_0

          public static final int SpatialReference_IsSame__SWIG_0​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  long jarg2,
                                                                  SpatialReference jarg2_,
                                                                  java.util.Vector jarg3)

    - #### SpatialReference_IsSame__SWIG_1

          public static final int SpatialReference_IsSame__SWIG_1​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  long jarg2,
                                                                  SpatialReference jarg2_)

    - #### SpatialReference_IsSameGeogCS

          public static final int SpatialReference_IsSameGeogCS​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                long jarg2,
                                                                SpatialReference jarg2_)

    - #### SpatialReference_IsSameVertCS

          public static final int SpatialReference_IsSameVertCS​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                long jarg2,
                                                                SpatialReference jarg2_)

    - #### SpatialReference_IsGeographic

          public static final int SpatialReference_IsGeographic​(long jarg1,
                                                                SpatialReference jarg1_)

    - #### SpatialReference_IsDerivedGeographic

          public static final int SpatialReference_IsDerivedGeographic​(long jarg1,
                                                                       SpatialReference jarg1_)

    - #### SpatialReference_IsProjected

          public static final int SpatialReference_IsProjected​(long jarg1,
                                                               SpatialReference jarg1_)

    - #### SpatialReference_IsDerivedProjected

          public static final int SpatialReference_IsDerivedProjected​(long jarg1,
                                                                      SpatialReference jarg1_)

    - #### SpatialReference_IsCompound

          public static final int SpatialReference_IsCompound​(long jarg1,
                                                              SpatialReference jarg1_)

    - #### SpatialReference_IsGeocentric

          public static final int SpatialReference_IsGeocentric​(long jarg1,
                                                                SpatialReference jarg1_)

    - #### SpatialReference_IsLocal

          public static final int SpatialReference_IsLocal​(long jarg1,
                                                           SpatialReference jarg1_)

    - #### SpatialReference_IsVertical

          public static final int SpatialReference_IsVertical​(long jarg1,
                                                              SpatialReference jarg1_)

    - #### SpatialReference_IsDynamic

          public static final boolean SpatialReference_IsDynamic​(long jarg1,
                                                                 SpatialReference jarg1_)

    - #### SpatialReference_HasPointMotionOperation

          public static final boolean SpatialReference_HasPointMotionOperation​(long jarg1,
                                                                               SpatialReference jarg1_)

    - #### SpatialReference_GetCoordinateEpoch

          public static final double SpatialReference_GetCoordinateEpoch​(long jarg1,
                                                                         SpatialReference jarg1_)

    - #### SpatialReference_SetCoordinateEpoch

          public static final void SpatialReference_SetCoordinateEpoch​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       double jarg2)

    - #### SpatialReference_EPSGTreatsAsLatLong

          public static final int SpatialReference_EPSGTreatsAsLatLong​(long jarg1,
                                                                       SpatialReference jarg1_)

    - #### SpatialReference_EPSGTreatsAsNorthingEasting

          public static final int SpatialReference_EPSGTreatsAsNorthingEasting​(long jarg1,
                                                                               SpatialReference jarg1_)

    - #### SpatialReference_SetAuthority

          public static final int SpatialReference_SetAuthority​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                java.lang.String jarg2,
                                                                java.lang.String jarg3,
                                                                int jarg4)

    - #### SpatialReference_GetAttrValue__SWIG_0

          public static final java.lang.String SpatialReference_GetAttrValue__SWIG_0​(long jarg1,
                                                                                     SpatialReference jarg1_,
                                                                                     java.lang.String jarg2,
                                                                                     int jarg3)

    - #### SpatialReference_GetAttrValue__SWIG_1

          public static final java.lang.String SpatialReference_GetAttrValue__SWIG_1​(long jarg1,
                                                                                     SpatialReference jarg1_,
                                                                                     java.lang.String jarg2)

    - #### SpatialReference_SetAttrValue

          public static final int SpatialReference_SetAttrValue​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                java.lang.String jarg2,
                                                                java.lang.String jarg3)

    - #### SpatialReference_SetAngularUnits

          public static final int SpatialReference_SetAngularUnits​(long jarg1,
                                                                   SpatialReference jarg1_,
                                                                   java.lang.String jarg2,
                                                                   double jarg3)

    - #### SpatialReference_GetAngularUnits

          public static final double SpatialReference_GetAngularUnits​(long jarg1,
                                                                      SpatialReference jarg1_)

    - #### SpatialReference_GetAngularUnitsName

          public static final java.lang.String SpatialReference_GetAngularUnitsName​(long jarg1,
                                                                                    SpatialReference jarg1_)

    - #### SpatialReference_SetTargetLinearUnits

          public static final int SpatialReference_SetTargetLinearUnits​(long jarg1,
                                                                        SpatialReference jarg1_,
                                                                        java.lang.String jarg2,
                                                                        java.lang.String jarg3,
                                                                        double jarg4)

    - #### SpatialReference_SetLinearUnits

          public static final int SpatialReference_SetLinearUnits​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  java.lang.String jarg2,
                                                                  double jarg3)

    - #### SpatialReference_SetLinearUnitsAndUpdateParameters

          public static final int SpatialReference_SetLinearUnitsAndUpdateParameters​(long jarg1,
                                                                                     SpatialReference jarg1_,
                                                                                     java.lang.String jarg2,
                                                                                     double jarg3)

    - #### SpatialReference_GetTargetLinearUnits

          public static final double SpatialReference_GetTargetLinearUnits​(long jarg1,
                                                                           SpatialReference jarg1_,
                                                                           java.lang.String jarg2)

    - #### SpatialReference_GetLinearUnits

          public static final double SpatialReference_GetLinearUnits​(long jarg1,
                                                                     SpatialReference jarg1_)

    - #### SpatialReference_GetLinearUnitsName

          public static final java.lang.String SpatialReference_GetLinearUnitsName​(long jarg1,
                                                                                   SpatialReference jarg1_)

    - #### SpatialReference_GetAuthorityCode

          public static final java.lang.String SpatialReference_GetAuthorityCode​(long jarg1,
                                                                                 SpatialReference jarg1_,
                                                                                 java.lang.String jarg2)

    - #### SpatialReference_GetAuthorityName

          public static final java.lang.String SpatialReference_GetAuthorityName​(long jarg1,
                                                                                 SpatialReference jarg1_,
                                                                                 java.lang.String jarg2)

    - #### SpatialReference_GetAreaOfUse

          public static final long SpatialReference_GetAreaOfUse​(long jarg1,
                                                                 SpatialReference jarg1_)

    - #### SpatialReference_GetAxisName

          public static final java.lang.String SpatialReference_GetAxisName​(long jarg1,
                                                                            SpatialReference jarg1_,
                                                                            java.lang.String jarg2,
                                                                            int jarg3)

    - #### SpatialReference_GetAxesCount

          public static final int SpatialReference_GetAxesCount​(long jarg1,
                                                                SpatialReference jarg1_)

    - #### SpatialReference_GetAxisOrientation

          public static final int SpatialReference_GetAxisOrientation​(long jarg1,
                                                                      SpatialReference jarg1_,
                                                                      java.lang.String jarg2,
                                                                      int jarg3)

    - #### SpatialReference_GetAxisMappingStrategy

          public static final int SpatialReference_GetAxisMappingStrategy​(long jarg1,
                                                                          SpatialReference jarg1_)

    - #### SpatialReference_SetAxisMappingStrategy

          public static final void SpatialReference_SetAxisMappingStrategy​(long jarg1,
                                                                           SpatialReference jarg1_,
                                                                           int jarg2)

    - #### SpatialReference_GetDataAxisToSRSAxisMapping

          public static final int[] SpatialReference_GetDataAxisToSRSAxisMapping​(long jarg1,
                                                                                 SpatialReference jarg1_,
                                                                                 long jarg2,
                                                                                 long jarg3)

    - #### SpatialReference_SetDataAxisToSRSAxisMapping

          public static final int SpatialReference_SetDataAxisToSRSAxisMapping​(long jarg1,
                                                                               SpatialReference jarg1_,
                                                                               int[] jarg2)

    - #### SpatialReference_SetUTM__SWIG_0

          public static final int SpatialReference_SetUTM__SWIG_0​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  int jarg2,
                                                                  int jarg3)

    - #### SpatialReference_SetUTM__SWIG_1

          public static final int SpatialReference_SetUTM__SWIG_1​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  int jarg2)

    - #### SpatialReference_GetUTMZone

          public static final int SpatialReference_GetUTMZone​(long jarg1,
                                                              SpatialReference jarg1_)

    - #### SpatialReference_SetStatePlane__SWIG_0

          public static final int SpatialReference_SetStatePlane__SWIG_0​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         int jarg2,
                                                                         int jarg3,
                                                                         java.lang.String jarg4,
                                                                         double jarg5)

    - #### SpatialReference_SetStatePlane__SWIG_1

          public static final int SpatialReference_SetStatePlane__SWIG_1​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         int jarg2,
                                                                         int jarg3,
                                                                         java.lang.String jarg4)

    - #### SpatialReference_SetStatePlane__SWIG_2

          public static final int SpatialReference_SetStatePlane__SWIG_2​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         int jarg2,
                                                                         int jarg3)

    - #### SpatialReference_SetStatePlane__SWIG_3

          public static final int SpatialReference_SetStatePlane__SWIG_3​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         int jarg2)

    - #### SpatialReference_AutoIdentifyEPSG

          public static final int SpatialReference_AutoIdentifyEPSG​(long jarg1,
                                                                    SpatialReference jarg1_)

    - #### SpatialReference_SetProjection

          public static final int SpatialReference_SetProjection​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2)

    - #### SpatialReference_SetProjParm

          public static final int SpatialReference_SetProjParm​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               java.lang.String jarg2,
                                                               double jarg3)

    - #### SpatialReference_GetProjParm__SWIG_0

          public static final double SpatialReference_GetProjParm__SWIG_0​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          java.lang.String jarg2,
                                                                          double jarg3)

    - #### SpatialReference_GetProjParm__SWIG_1

          public static final double SpatialReference_GetProjParm__SWIG_1​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          java.lang.String jarg2)

    - #### SpatialReference_SetNormProjParm

          public static final int SpatialReference_SetNormProjParm​(long jarg1,
                                                                   SpatialReference jarg1_,
                                                                   java.lang.String jarg2,
                                                                   double jarg3)

    - #### SpatialReference_GetNormProjParm__SWIG_0

          public static final double SpatialReference_GetNormProjParm__SWIG_0​(long jarg1,
                                                                              SpatialReference jarg1_,
                                                                              java.lang.String jarg2,
                                                                              double jarg3)

    - #### SpatialReference_GetNormProjParm__SWIG_1

          public static final double SpatialReference_GetNormProjParm__SWIG_1​(long jarg1,
                                                                              SpatialReference jarg1_,
                                                                              java.lang.String jarg2)

    - #### SpatialReference_GetSemiMajor

          public static final double SpatialReference_GetSemiMajor​(long jarg1,
                                                                   SpatialReference jarg1_)

    - #### SpatialReference_GetSemiMinor

          public static final double SpatialReference_GetSemiMinor​(long jarg1,
                                                                   SpatialReference jarg1_)

    - #### SpatialReference_GetInvFlattening

          public static final double SpatialReference_GetInvFlattening​(long jarg1,
                                                                       SpatialReference jarg1_)

    - #### SpatialReference_SetACEA

          public static final int SpatialReference_SetACEA​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5,
                                                           double jarg6,
                                                           double jarg7)

    - #### SpatialReference_SetAE

          public static final int SpatialReference_SetAE​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5)

    - #### SpatialReference_SetBonne

          public static final int SpatialReference_SetBonne​(long jarg1,
                                                            SpatialReference jarg1_,
                                                            double jarg2,
                                                            double jarg3,
                                                            double jarg4,
                                                            double jarg5)

    - #### SpatialReference_SetCEA

          public static final int SpatialReference_SetCEA​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4,
                                                          double jarg5)

    - #### SpatialReference_SetCS

          public static final int SpatialReference_SetCS​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5)

    - #### SpatialReference_SetEC

          public static final int SpatialReference_SetEC​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5,
                                                         double jarg6,
                                                         double jarg7)

    - #### SpatialReference_SetEckertIV

          public static final int SpatialReference_SetEckertIV​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               double jarg2,
                                                               double jarg3,
                                                               double jarg4)

    - #### SpatialReference_SetEckertVI

          public static final int SpatialReference_SetEckertVI​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               double jarg2,
                                                               double jarg3,
                                                               double jarg4)

    - #### SpatialReference_SetEquirectangular

          public static final int SpatialReference_SetEquirectangular​(long jarg1,
                                                                      SpatialReference jarg1_,
                                                                      double jarg2,
                                                                      double jarg3,
                                                                      double jarg4,
                                                                      double jarg5)

    - #### SpatialReference_SetEquirectangular2

          public static final int SpatialReference_SetEquirectangular2​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       double jarg2,
                                                                       double jarg3,
                                                                       double jarg4,
                                                                       double jarg5,
                                                                       double jarg6)

    - #### SpatialReference_SetGaussSchreiberTMercator

          public static final int SpatialReference_SetGaussSchreiberTMercator​(long jarg1,
                                                                              SpatialReference jarg1_,
                                                                              double jarg2,
                                                                              double jarg3,
                                                                              double jarg4,
                                                                              double jarg5,
                                                                              double jarg6)

    - #### SpatialReference_SetGS

          public static final int SpatialReference_SetGS​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4)

    - #### SpatialReference_SetGH

          public static final int SpatialReference_SetGH​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4)

    - #### SpatialReference_SetIGH

          public static final int SpatialReference_SetIGH​(long jarg1,
                                                          SpatialReference jarg1_)

    - #### SpatialReference_SetGEOS

          public static final int SpatialReference_SetGEOS​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5)

    - #### SpatialReference_SetGnomonic

          public static final int SpatialReference_SetGnomonic​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               double jarg2,
                                                               double jarg3,
                                                               double jarg4,
                                                               double jarg5)

    - #### SpatialReference_SetHOM

          public static final int SpatialReference_SetHOM​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4,
                                                          double jarg5,
                                                          double jarg6,
                                                          double jarg7,
                                                          double jarg8)

    - #### SpatialReference_SetHOM2PNO

          public static final int SpatialReference_SetHOM2PNO​(long jarg1,
                                                              SpatialReference jarg1_,
                                                              double jarg2,
                                                              double jarg3,
                                                              double jarg4,
                                                              double jarg5,
                                                              double jarg6,
                                                              double jarg7,
                                                              double jarg8,
                                                              double jarg9)

    - #### SpatialReference_SetKrovak

          public static final int SpatialReference_SetKrovak​(long jarg1,
                                                             SpatialReference jarg1_,
                                                             double jarg2,
                                                             double jarg3,
                                                             double jarg4,
                                                             double jarg5,
                                                             double jarg6,
                                                             double jarg7,
                                                             double jarg8)

    - #### SpatialReference_SetLAEA

          public static final int SpatialReference_SetLAEA​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5)

    - #### SpatialReference_SetLCC

          public static final int SpatialReference_SetLCC​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4,
                                                          double jarg5,
                                                          double jarg6,
                                                          double jarg7)

    - #### SpatialReference_SetLCC1SP

          public static final int SpatialReference_SetLCC1SP​(long jarg1,
                                                             SpatialReference jarg1_,
                                                             double jarg2,
                                                             double jarg3,
                                                             double jarg4,
                                                             double jarg5,
                                                             double jarg6)

    - #### SpatialReference_SetLCCB

          public static final int SpatialReference_SetLCCB​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5,
                                                           double jarg6,
                                                           double jarg7)

    - #### SpatialReference_SetMC

          public static final int SpatialReference_SetMC​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5)

    - #### SpatialReference_SetMercator

          public static final int SpatialReference_SetMercator​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               double jarg2,
                                                               double jarg3,
                                                               double jarg4,
                                                               double jarg5,
                                                               double jarg6)

    - #### SpatialReference_SetMercator2SP

          public static final int SpatialReference_SetMercator2SP​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  double jarg2,
                                                                  double jarg3,
                                                                  double jarg4,
                                                                  double jarg5,
                                                                  double jarg6)

    - #### SpatialReference_SetMollweide

          public static final int SpatialReference_SetMollweide​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                double jarg2,
                                                                double jarg3,
                                                                double jarg4)

    - #### SpatialReference_SetNZMG

          public static final int SpatialReference_SetNZMG​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5)

    - #### SpatialReference_SetOS

          public static final int SpatialReference_SetOS​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5,
                                                         double jarg6)

    - #### SpatialReference_SetOrthographic

          public static final int SpatialReference_SetOrthographic​(long jarg1,
                                                                   SpatialReference jarg1_,
                                                                   double jarg2,
                                                                   double jarg3,
                                                                   double jarg4,
                                                                   double jarg5)

    - #### SpatialReference_SetPolyconic

          public static final int SpatialReference_SetPolyconic​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                double jarg2,
                                                                double jarg3,
                                                                double jarg4,
                                                                double jarg5)

    - #### SpatialReference_SetPS

          public static final int SpatialReference_SetPS​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5,
                                                         double jarg6)

    - #### SpatialReference_SetRobinson

          public static final int SpatialReference_SetRobinson​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               double jarg2,
                                                               double jarg3,
                                                               double jarg4)

    - #### SpatialReference_SetSinusoidal

          public static final int SpatialReference_SetSinusoidal​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 double jarg2,
                                                                 double jarg3,
                                                                 double jarg4)

    - #### SpatialReference_SetStereographic

          public static final int SpatialReference_SetStereographic​(long jarg1,
                                                                    SpatialReference jarg1_,
                                                                    double jarg2,
                                                                    double jarg3,
                                                                    double jarg4,
                                                                    double jarg5,
                                                                    double jarg6)

    - #### SpatialReference_SetSOC

          public static final int SpatialReference_SetSOC​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4,
                                                          double jarg5)

    - #### SpatialReference_SetTM

          public static final int SpatialReference_SetTM​(long jarg1,
                                                         SpatialReference jarg1_,
                                                         double jarg2,
                                                         double jarg3,
                                                         double jarg4,
                                                         double jarg5,
                                                         double jarg6)

    - #### SpatialReference_SetTMVariant

          public static final int SpatialReference_SetTMVariant​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                java.lang.String jarg2,
                                                                double jarg3,
                                                                double jarg4,
                                                                double jarg5,
                                                                double jarg6,
                                                                double jarg7)

    - #### SpatialReference_SetTMG

          public static final int SpatialReference_SetTMG​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4,
                                                          double jarg5)

    - #### SpatialReference_SetTMSO

          public static final int SpatialReference_SetTMSO​(long jarg1,
                                                           SpatialReference jarg1_,
                                                           double jarg2,
                                                           double jarg3,
                                                           double jarg4,
                                                           double jarg5,
                                                           double jarg6)

    - #### SpatialReference_SetVDG

          public static final int SpatialReference_SetVDG​(long jarg1,
                                                          SpatialReference jarg1_,
                                                          double jarg2,
                                                          double jarg3,
                                                          double jarg4)

    - #### SpatialReference_SetVerticalPerspective

          public static final int SpatialReference_SetVerticalPerspective​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          double jarg2,
                                                                          double jarg3,
                                                                          double jarg4,
                                                                          double jarg5,
                                                                          double jarg6,
                                                                          double jarg7)

    - #### SpatialReference_SetWellKnownGeogCS

          public static final int SpatialReference_SetWellKnownGeogCS​(long jarg1,
                                                                      SpatialReference jarg1_,
                                                                      java.lang.String jarg2)

    - #### SpatialReference_SetFromUserInput__SWIG_0

          public static final int SpatialReference_SetFromUserInput__SWIG_0​(long jarg1,
                                                                            SpatialReference jarg1_,
                                                                            java.lang.String jarg2,
                                                                            java.util.Vector jarg3)

    - #### SpatialReference_SetFromUserInput__SWIG_1

          public static final int SpatialReference_SetFromUserInput__SWIG_1​(long jarg1,
                                                                            SpatialReference jarg1_,
                                                                            java.lang.String jarg2)

    - #### SpatialReference_CopyGeogCSFrom

          public static final int SpatialReference_CopyGeogCSFrom​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  long jarg2,
                                                                  SpatialReference jarg2_)

    - #### SpatialReference_SetTOWGS84

          public static final int SpatialReference_SetTOWGS84​(long jarg1,
                                                              SpatialReference jarg1_,
                                                              double jarg2,
                                                              double jarg3,
                                                              double jarg4,
                                                              double jarg5,
                                                              double jarg6,
                                                              double jarg7,
                                                              double jarg8)

    - #### SpatialReference_HasTOWGS84

          public static final boolean SpatialReference_HasTOWGS84​(long jarg1,
                                                                  SpatialReference jarg1_)

    - #### SpatialReference_GetTOWGS84

          public static final int SpatialReference_GetTOWGS84​(long jarg1,
                                                              SpatialReference jarg1_,
                                                              double[] jarg2)

    - #### SpatialReference_AddGuessedTOWGS84

          public static final int SpatialReference_AddGuessedTOWGS84​(long jarg1,
                                                                     SpatialReference jarg1_)

    - #### SpatialReference_SetLocalCS

          public static final int SpatialReference_SetLocalCS​(long jarg1,
                                                              SpatialReference jarg1_,
                                                              java.lang.String jarg2)

    - #### SpatialReference_SetGeogCS__SWIG_0

          public static final int SpatialReference_SetGeogCS__SWIG_0​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     java.lang.String jarg4,
                                                                     double jarg5,
                                                                     double jarg6,
                                                                     java.lang.String jarg7,
                                                                     double jarg8,
                                                                     java.lang.String jarg9,
                                                                     double jarg10)

    - #### SpatialReference_SetGeogCS__SWIG_1

          public static final int SpatialReference_SetGeogCS__SWIG_1​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     java.lang.String jarg4,
                                                                     double jarg5,
                                                                     double jarg6,
                                                                     java.lang.String jarg7,
                                                                     double jarg8,
                                                                     java.lang.String jarg9)

    - #### SpatialReference_SetGeogCS__SWIG_2

          public static final int SpatialReference_SetGeogCS__SWIG_2​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     java.lang.String jarg4,
                                                                     double jarg5,
                                                                     double jarg6,
                                                                     java.lang.String jarg7,
                                                                     double jarg8)

    - #### SpatialReference_SetGeogCS__SWIG_3

          public static final int SpatialReference_SetGeogCS__SWIG_3​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     java.lang.String jarg4,
                                                                     double jarg5,
                                                                     double jarg6,
                                                                     java.lang.String jarg7)

    - #### SpatialReference_SetGeogCS__SWIG_4

          public static final int SpatialReference_SetGeogCS__SWIG_4​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     java.lang.String jarg4,
                                                                     double jarg5,
                                                                     double jarg6)

    - #### SpatialReference_SetProjCS__SWIG_0

          public static final int SpatialReference_SetProjCS__SWIG_0​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2)

    - #### SpatialReference_SetProjCS__SWIG_1

          public static final int SpatialReference_SetProjCS__SWIG_1​(long jarg1,
                                                                     SpatialReference jarg1_)

    - #### SpatialReference_SetGeocCS__SWIG_0

          public static final int SpatialReference_SetGeocCS__SWIG_0​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2)

    - #### SpatialReference_SetGeocCS__SWIG_1

          public static final int SpatialReference_SetGeocCS__SWIG_1​(long jarg1,
                                                                     SpatialReference jarg1_)

    - #### SpatialReference_SetVertCS__SWIG_0

          public static final int SpatialReference_SetVertCS__SWIG_0​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3,
                                                                     int jarg4)

    - #### SpatialReference_SetVertCS__SWIG_1

          public static final int SpatialReference_SetVertCS__SWIG_1​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2,
                                                                     java.lang.String jarg3)

    - #### SpatialReference_SetVertCS__SWIG_2

          public static final int SpatialReference_SetVertCS__SWIG_2​(long jarg1,
                                                                     SpatialReference jarg1_,
                                                                     java.lang.String jarg2)

    - #### SpatialReference_SetVertCS__SWIG_3

          public static final int SpatialReference_SetVertCS__SWIG_3​(long jarg1,
                                                                     SpatialReference jarg1_)

    - #### SpatialReference_SetCompoundCS

          public static final int SpatialReference_SetCompoundCS​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2,
                                                                 long jarg3,
                                                                 SpatialReference jarg3_,
                                                                 long jarg4,
                                                                 SpatialReference jarg4_)

    - #### SpatialReference_ImportFromWkt

          public static final int SpatialReference_ImportFromWkt​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2)

    - #### SpatialReference_ImportFromProj4

          public static final int SpatialReference_ImportFromProj4​(long jarg1,
                                                                   SpatialReference jarg1_,
                                                                   java.lang.String jarg2)

    - #### SpatialReference_ImportFromUrl

          public static final int SpatialReference_ImportFromUrl​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2)

    - #### SpatialReference_ImportFromESRI

          public static final int SpatialReference_ImportFromESRI​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  java.util.Vector jarg2)

    - #### SpatialReference_ImportFromEPSG

          public static final int SpatialReference_ImportFromEPSG​(long jarg1,
                                                                  SpatialReference jarg1_,
                                                                  int jarg2)

    - #### SpatialReference_ImportFromEPSGA

          public static final int SpatialReference_ImportFromEPSGA​(long jarg1,
                                                                   SpatialReference jarg1_,
                                                                   int jarg2)

    - #### SpatialReference_ImportFromPCI__SWIG_0

          public static final int SpatialReference_ImportFromPCI__SWIG_0​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         java.lang.String jarg2,
                                                                         java.lang.String jarg3,
                                                                         double[] jarg4)

    - #### SpatialReference_ImportFromPCI__SWIG_1

          public static final int SpatialReference_ImportFromPCI__SWIG_1​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         java.lang.String jarg2,
                                                                         java.lang.String jarg3)

    - #### SpatialReference_ImportFromPCI__SWIG_2

          public static final int SpatialReference_ImportFromPCI__SWIG_2​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         java.lang.String jarg2)

    - #### SpatialReference_ImportFromUSGS__SWIG_0

          public static final int SpatialReference_ImportFromUSGS__SWIG_0​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          int jarg2,
                                                                          int jarg3,
                                                                          double[] jarg4,
                                                                          int jarg5)

    - #### SpatialReference_ImportFromUSGS__SWIG_1

          public static final int SpatialReference_ImportFromUSGS__SWIG_1​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          int jarg2,
                                                                          int jarg3,
                                                                          double[] jarg4)

    - #### SpatialReference_ImportFromUSGS__SWIG_2

          public static final int SpatialReference_ImportFromUSGS__SWIG_2​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          int jarg2,
                                                                          int jarg3)

    - #### SpatialReference_ImportFromUSGS__SWIG_3

          public static final int SpatialReference_ImportFromUSGS__SWIG_3​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          int jarg2)

    - #### SpatialReference_ImportFromXML

          public static final int SpatialReference_ImportFromXML​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2)

    - #### SpatialReference_ImportFromERM

          public static final int SpatialReference_ImportFromERM​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String jarg2,
                                                                 java.lang.String jarg3,
                                                                 java.lang.String jarg4)

    - #### SpatialReference_ImportFromMICoordSys

          public static final int SpatialReference_ImportFromMICoordSys​(long jarg1,
                                                                        SpatialReference jarg1_,
                                                                        java.lang.String jarg2)

    - #### SpatialReference_ImportFromOzi

          public static final int SpatialReference_ImportFromOzi​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.util.Vector jarg2)

    - #### SpatialReference_ImportFromCF1__SWIG_0

          public static final int SpatialReference_ImportFromCF1__SWIG_0​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         java.util.Vector jarg2,
                                                                         java.lang.String jarg3)

    - #### SpatialReference_ImportFromCF1__SWIG_1

          public static final int SpatialReference_ImportFromCF1__SWIG_1​(long jarg1,
                                                                         SpatialReference jarg1_,
                                                                         java.util.Vector jarg2)

    - #### SpatialReference_ExportToWkt__SWIG_0

          public static final int SpatialReference_ExportToWkt__SWIG_0​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       java.lang.String[] jarg2,
                                                                       java.util.Vector jarg3)

    - #### SpatialReference_ExportToWkt__SWIG_1

          public static final int SpatialReference_ExportToWkt__SWIG_1​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       java.lang.String[] jarg2)

    - #### SpatialReference_ExportToPrettyWkt__SWIG_0

          public static final int SpatialReference_ExportToPrettyWkt__SWIG_0​(long jarg1,
                                                                             SpatialReference jarg1_,
                                                                             java.lang.String[] jarg2,
                                                                             int jarg3)

    - #### SpatialReference_ExportToPrettyWkt__SWIG_1

          public static final int SpatialReference_ExportToPrettyWkt__SWIG_1​(long jarg1,
                                                                             SpatialReference jarg1_,
                                                                             java.lang.String[] jarg2)

    - #### SpatialReference_ExportToPROJJSON__SWIG_0

          public static final int SpatialReference_ExportToPROJJSON__SWIG_0​(long jarg1,
                                                                            SpatialReference jarg1_,
                                                                            java.lang.String[] jarg2,
                                                                            java.util.Vector jarg3)

    - #### SpatialReference_ExportToPROJJSON__SWIG_1

          public static final int SpatialReference_ExportToPROJJSON__SWIG_1​(long jarg1,
                                                                            SpatialReference jarg1_,
                                                                            java.lang.String[] jarg2)

    - #### SpatialReference_ExportToProj4

          public static final int SpatialReference_ExportToProj4​(long jarg1,
                                                                 SpatialReference jarg1_,
                                                                 java.lang.String[] jarg2)

    - #### SpatialReference_ExportToPCI

          public static final int SpatialReference_ExportToPCI​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               java.lang.String[] jarg2,
                                                               java.lang.String[] jarg3,
                                                               double[] jarg4)

    - #### SpatialReference_ExportToUSGS

          public static final int SpatialReference_ExportToUSGS​(long jarg1,
                                                                SpatialReference jarg1_,
                                                                int[] jarg2,
                                                                int[] jarg3,
                                                                double[] jarg4,
                                                                int[] jarg5)

    - #### SpatialReference_ExportToERM

          public static final int SpatialReference_ExportToERM​(long jarg1,
                                                               SpatialReference jarg1_,
                                                               java.lang.String[] jarg2,
                                                               java.lang.String[] jarg3,
                                                               java.lang.String[] jarg4)

    - #### SpatialReference_ExportToXML__SWIG_0

          public static final int SpatialReference_ExportToXML__SWIG_0​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       java.lang.String[] jarg2,
                                                                       java.lang.String jarg3)

    - #### SpatialReference_ExportToXML__SWIG_1

          public static final int SpatialReference_ExportToXML__SWIG_1​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       java.lang.String[] jarg2)

    - #### SpatialReference_ExportToMICoordSys

          public static final int SpatialReference_ExportToMICoordSys​(long jarg1,
                                                                      SpatialReference jarg1_,
                                                                      java.lang.String[] jarg2)

    - #### SpatialReference_ExportToCF1__SWIG_0

          public static final java.util.Hashtable SpatialReference_ExportToCF1__SWIG_0​(long jarg1,
                                                                                       SpatialReference jarg1_,
                                                                                       java.util.Vector jarg2)

    - #### SpatialReference_ExportToCF1__SWIG_1

          public static final java.util.Hashtable SpatialReference_ExportToCF1__SWIG_1​(long jarg1,
                                                                                       SpatialReference jarg1_)

    - #### SpatialReference_ExportToCF1Units__SWIG_0

          public static final java.lang.String SpatialReference_ExportToCF1Units__SWIG_0​(long jarg1,
                                                                                         SpatialReference jarg1_,
                                                                                         java.util.Vector jarg2)

    - #### SpatialReference_ExportToCF1Units__SWIG_1

          public static final java.lang.String SpatialReference_ExportToCF1Units__SWIG_1​(long jarg1,
                                                                                         SpatialReference jarg1_)

    - #### SpatialReference_CloneGeogCS

          public static final long SpatialReference_CloneGeogCS​(long jarg1,
                                                                SpatialReference jarg1_)

    - #### SpatialReference_Clone

          public static final long SpatialReference_Clone​(long jarg1,
                                                          SpatialReference jarg1_)

    - #### SpatialReference_StripVertical

          public static final int SpatialReference_StripVertical​(long jarg1,
                                                                 SpatialReference jarg1_)

    - #### SpatialReference_Validate

          public static final int SpatialReference_Validate​(long jarg1,
                                                            SpatialReference jarg1_)

    - #### SpatialReference_MorphToESRI

          public static final int SpatialReference_MorphToESRI​(long jarg1,
                                                               SpatialReference jarg1_)

    - #### SpatialReference_MorphFromESRI

          public static final int SpatialReference_MorphFromESRI​(long jarg1,
                                                                 SpatialReference jarg1_)

    - #### SpatialReference_ConvertToOtherProjection__SWIG_0

          public static final long SpatialReference_ConvertToOtherProjection__SWIG_0​(long jarg1,
                                                                                     SpatialReference jarg1_,
                                                                                     java.lang.String jarg2,
                                                                                     java.util.Vector jarg3)

    - #### SpatialReference_ConvertToOtherProjection__SWIG_1

          public static final long SpatialReference_ConvertToOtherProjection__SWIG_1​(long jarg1,
                                                                                     SpatialReference jarg1_,
                                                                                     java.lang.String jarg2)

    - #### SpatialReference_PromoteTo3D__SWIG_0

          public static final int SpatialReference_PromoteTo3D__SWIG_0​(long jarg1,
                                                                       SpatialReference jarg1_,
                                                                       java.lang.String jarg2)

    - #### SpatialReference_PromoteTo3D__SWIG_1

          public static final int SpatialReference_PromoteTo3D__SWIG_1​(long jarg1,
                                                                       SpatialReference jarg1_)

    - #### SpatialReference_DemoteTo2D__SWIG_0

          public static final int SpatialReference_DemoteTo2D__SWIG_0​(long jarg1,
                                                                      SpatialReference jarg1_,
                                                                      java.lang.String jarg2)

    - #### SpatialReference_DemoteTo2D__SWIG_1

          public static final int SpatialReference_DemoteTo2D__SWIG_1​(long jarg1,
                                                                      SpatialReference jarg1_)

    - #### new_CoordinateTransformationOptions

          public static final long new_CoordinateTransformationOptions()

    - #### delete_CoordinateTransformationOptions

          public static final void delete_CoordinateTransformationOptions​(long jarg1)

    - #### CoordinateTransformationOptions_SetAreaOfInterest

          public static final boolean CoordinateTransformationOptions_SetAreaOfInterest​(long jarg1,
                                                                                        CoordinateTransformationOptions jarg1_,
                                                                                        double jarg2,
                                                                                        double jarg3,
                                                                                        double jarg4,
                                                                                        double jarg5)

    - #### CoordinateTransformationOptions_SetOperation__SWIG_0

          public static final boolean CoordinateTransformationOptions_SetOperation__SWIG_0​(long jarg1,
                                                                                           CoordinateTransformationOptions jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           boolean jarg3)

    - #### CoordinateTransformationOptions_SetOperation__SWIG_1

          public static final boolean CoordinateTransformationOptions_SetOperation__SWIG_1​(long jarg1,
                                                                                           CoordinateTransformationOptions jarg1_,
                                                                                           java.lang.String jarg2)

    - #### CoordinateTransformationOptions_SetDesiredAccuracy

          public static final boolean CoordinateTransformationOptions_SetDesiredAccuracy​(long jarg1,
                                                                                         CoordinateTransformationOptions jarg1_,
                                                                                         double jarg2)

    - #### CoordinateTransformationOptions_SetBallparkAllowed

          public static final boolean CoordinateTransformationOptions_SetBallparkAllowed​(long jarg1,
                                                                                         CoordinateTransformationOptions jarg1_,
                                                                                         boolean jarg2)

    - #### CoordinateTransformationOptions_SetOnlyBest

          public static final boolean CoordinateTransformationOptions_SetOnlyBest​(long jarg1,
                                                                                  CoordinateTransformationOptions jarg1_,
                                                                                  boolean jarg2)

    - #### new_CoordinateTransformation__SWIG_0

          public static final long new_CoordinateTransformation__SWIG_0​(long jarg1,
                                                                        SpatialReference jarg1_,
                                                                        long jarg2,
                                                                        SpatialReference jarg2_)

    - #### new_CoordinateTransformation__SWIG_1

          public static final long new_CoordinateTransformation__SWIG_1​(long jarg1,
                                                                        SpatialReference jarg1_,
                                                                        long jarg2,
                                                                        SpatialReference jarg2_,
                                                                        long jarg3,
                                                                        CoordinateTransformationOptions jarg3_)

    - #### delete_CoordinateTransformation

          public static final void delete_CoordinateTransformation​(long jarg1)

    - #### CoordinateTransformation_GetInverse

          public static final long CoordinateTransformation_GetInverse​(long jarg1,
                                                                       CoordinateTransformation jarg1_)

    - #### CoordinateTransformation_TransformPoint__SWIG_0

          public static final void CoordinateTransformation_TransformPoint__SWIG_0​(long jarg1,
                                                                                   CoordinateTransformation jarg1_,
                                                                                   double[] jarg2)

    - #### CoordinateTransformation_TransformPoint__SWIG_2

          public static final void CoordinateTransformation_TransformPoint__SWIG_2​(long jarg1,
                                                                                   CoordinateTransformation jarg1_,
                                                                                   double[] jarg2,
                                                                                   double jarg3,
                                                                                   double jarg4,
                                                                                   double jarg5)

    - #### CoordinateTransformation_TransformPoint__SWIG_3

          public static final void CoordinateTransformation_TransformPoint__SWIG_3​(long jarg1,
                                                                                   CoordinateTransformation jarg1_,
                                                                                   double[] jarg2,
                                                                                   double jarg3,
                                                                                   double jarg4)

    - #### CoordinateTransformation_TransformPoint__SWIG_4

          public static final void CoordinateTransformation_TransformPoint__SWIG_4​(long jarg1,
                                                                                   CoordinateTransformation jarg1_,
                                                                                   double[] jarg2,
                                                                                   double jarg3,
                                                                                   double jarg4,
                                                                                   double jarg5,
                                                                                   double jarg6)

    - #### CoordinateTransformation_TransformPointWithErrorCode

          public static final int CoordinateTransformation_TransformPointWithErrorCode​(long jarg1,
                                                                                       CoordinateTransformation jarg1_,
                                                                                       double[] jarg2,
                                                                                       double jarg3,
                                                                                       double jarg4,
                                                                                       double jarg5,
                                                                                       double jarg6)

    - #### CoordinateTransformation_TransformPoints

          public static final void CoordinateTransformation_TransformPoints​(long jarg1,
                                                                            CoordinateTransformation jarg1_,
                                                                            double[][] jarg2)

    - #### CoordinateTransformation_TransformPointsWithErrorCodes

          public static final int[] CoordinateTransformation_TransformPointsWithErrorCodes​(long jarg1,
                                                                                           CoordinateTransformation jarg1_,
                                                                                           double[][] jarg2)

    - #### CoordinateTransformation_TransformBounds

          public static final void CoordinateTransformation_TransformBounds​(long jarg1,
                                                                            CoordinateTransformation jarg1_,
                                                                            double[] jarg2,
                                                                            double jarg3,
                                                                            double jarg4,
                                                                            double jarg5,
                                                                            double jarg6,
                                                                            int jarg7)

    - #### CreateCoordinateTransformation__SWIG_0

          public static final long CreateCoordinateTransformation__SWIG_0​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          long jarg2,
                                                                          SpatialReference jarg2_,
                                                                          long jarg3,
                                                                          CoordinateTransformationOptions jarg3_)

    - #### CreateCoordinateTransformation__SWIG_1

          public static final long CreateCoordinateTransformation__SWIG_1​(long jarg1,
                                                                          SpatialReference jarg1_,
                                                                          long jarg2,
                                                                          SpatialReference jarg2_)

    - #### GetAuthorityListFromDatabase

          public static final java.util.Vector GetAuthorityListFromDatabase()

    - #### SetPROJSearchPath

          public static final void SetPROJSearchPath​(java.lang.String jarg1)

    - #### SetPROJSearchPaths

          public static final void SetPROJSearchPaths​(java.util.Vector jarg1)

    - #### GetPROJSearchPaths

          public static final java.util.Vector GetPROJSearchPaths()

    - #### GetPROJVersionMajor

          public static final int GetPROJVersionMajor()

    - #### GetPROJVersionMinor

          public static final int GetPROJVersionMinor()

    - #### GetPROJVersionMicro

          public static final int GetPROJVersionMicro()

    - #### GetPROJEnableNetwork

          public static final boolean GetPROJEnableNetwork()

    - #### SetPROJEnableNetwork

          public static final void SetPROJEnableNetwork​(boolean jarg1)

    - #### SetPROJAuxDbPath

          public static final void SetPROJAuxDbPath​(java.lang.String jarg1)

    - #### SetPROJAuxDbPaths

          public static final void SetPROJAuxDbPaths​(java.util.Vector jarg1)

    - #### GetPROJAuxDbPaths

          public static final java.util.Vector GetPROJAuxDbPaths()